# $Revision: 1.3.2.2 $, $Date: 2003/04/28 12:51:49 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	Elf
Summary:	Digest::Elf Perl module - implementation of the ElfHash algorithm
Summary(pl):	Modu perla Digest::Elf - implementacja algorytmu ElfHash
Name:		perl-Digest-Elf
Version:	1.3
Release:	2
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl-devel >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Digest::Elf provides an implimentation of the ElfHash algorithm.
ElfHash generates resonably unique values from a string in a
reasonably short period of time. The actual algorith is culled from a
Dr. Dobbs Journal article, they culled it probably from the source for
the GNU C complier.

%description -l pl
Modu Digest::Elf jest implementacj algorytmu ElfHash. Algorytm ten
generuje w miar unikalne wartoci dla acuchw znakw w przyzwoitym
czasie. Waciwy algorytm jest cignity z artykuu z Dr. Dobbs
Journal, gdzie zosta cignity prawdopodobnie ze rde kompilatora
C z GNU.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/Digest/Elf.pm
%dir %{perl_sitearch}/auto/Digest/Elf
%{perl_sitearch}/auto/Digest/Elf/Elf.bs
%attr(755,root,root) %{perl_sitearch}/auto/Digest/Elf/Elf.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Digest-Elf.spec,v $
Revision 1.3.2.2  2003/04/28 12:51:49  ankry
- really rel++

Revision 1.3.2.1  2003/03/13 00:57:04  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:31:45  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/21 21:51:13  qboosh
- new

